Get account
curl --request GET \
--url https://api.conduit.financial/accounts/{id} \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "https://api.conduit.financial/accounts/{id}"
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-API-Secret': '<api-key>'}
};
fetch('https://api.conduit.financial/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "acct_2fvietuCNSu8unMNLsEGBrDTVFn",
"balances": {
"available": [
{
"asset": "USD",
"amount": "150.320000"
},
{
"asset": "USDC",
"network": "ethereum",
"amount": "90.000000"
},
{
"asset": "USDT",
"network": "ethereum",
"amount": "0"
},
{
"asset": "USDT",
"network": "tron",
"amount": "150.320000"
}
]
},
"createdAt": "2024-10-27T00:00:00.000Z"
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}Accounts
Get account
Get an existing account
GET
/
accounts
/
{id}
Get account
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Path Parameters
A valid Account ID
Pattern:
^acct_[a-zA-Z0-9]{27}$Example:
"acct_2ofTA5mz0T91pBmD3tMTeLE7T4X"
⌘I

